function [X,Y,kx,ky,T,Fs] = echelle(largeur,nb_pixel,im)
%ECHELLE Renvoie les axes spatiaux et frquentiels
l = largeur ; %cm

% Periode (spatiale ici) en m, c'est la taille d'un pixel :
T = l/100/nb_pixel ; %m

% frequence spatiale en m-1 :
Fs = 1/T ; %m-1

% Longueur des signaux (= dimensions des images en pixels) :
[Ly Lx] = size(im) ;     % Exemples : Ly=357 et Lx=1695 ; 

% Axes spatiaux en x et en y :
X = (0:Lx-1)*T ;
Y = (0:Ly-1)*T ;

% Axes en frquences spatiales en kx et ky :
kx = Fs/2*(linspace(-1,1,Lx)+1);   % sans le fftshift, il faut le +1
ky = Fs/2*(linspace(-1,1,Ly)+1);

end

